//
// Created by Wayne on 15/12/29.
//

#ifndef REACHABILITY_CONDITIONAL_EDGE_H
#define REACHABILITY_CONDITIONAL_EDGE_H


#include <vector>
#include "premise.h"
#include "edge.h"

using std::vector;

class conditional_edge {
protected:
    int source;
    int target;
    int symbol;
    premise_base *premise;
public:
    conditional_edge(int source, int target, int symbol, premise_base *premise);
    edge get_base_edge() const;
    int get_source() const;
    int get_target() const;
    int get_symbol() const;
    premise_base* get_premise() const;
};


#endif //REACHABILITY_CONDITIONAL_EDGE_H
