//
// Created by Wayne on 16/1/23.
//

#include "tal_edge.h"

tal_edge_base::tal_edge_base(int symbol) {
    this->symbol = symbol;
}

tal_fst_edge::tal_fst_edge(int symbol, int source, int target) : tal_edge_base(symbol) {
    this->source = source;
    this->target = target;
}

tal_snd_edge::tal_snd_edge(int symbol, int source, int target, int mid_source, int mid_target) : tal_edge_base(symbol) {
    this->source = source;
    this->target = target;
    this->mid_source = mid_source;
    this->mid_target = mid_target;
}

int tal_edge_base::get_symbol() const {
    return this->symbol;
}

int tal_fst_edge::get_source() const {
    return this->source;
}

int tal_fst_edge::get_target() const {
    return this->target;
}

int tal_snd_edge::get_source() const {
    return this->source;
}

int tal_snd_edge::get_target() const {
    return this->target;
}

int tal_snd_edge::get_mid_source() const {
    return this->mid_source;
}

int tal_snd_edge::get_mid_target() const {
    return this->mid_target;
}

int tal_fst_edge::get_order() const {
    return 1;
}

int tal_snd_edge::get_order() const {
    return 2;
}