//
// Created by Wayne on 3/17/16.
//

#include "Logger.h"

Logger::Logger(const string &log_name) {
    this->log_stream.open(log_name, ios::app);
}

Logger::~Logger() {
    if (this->log_stream.is_open()) {
        this->log_stream.close();
    }
}

void Logger::close() {
    if (this->log_stream.is_open()) {
        this->log_stream.close();
    }
}
