//
// Created by Wayne on 15/12/29.
//

#include "conditional_edge.h"

conditional_edge::conditional_edge(int source, int target, int symbol, premise_base *premise) {
    this->source = source;
    this->target = target;
    this->symbol = symbol;
    this->premise = premise;
}

edge conditional_edge::get_base_edge() const {
    return edge(this->source, this->target, this->symbol);
}

int conditional_edge::get_source() const {
    return this->source;
}

int conditional_edge::get_target() const {
    return this->target;
}

int conditional_edge::get_symbol() const {
    return this->symbol;
}

premise_base* conditional_edge::get_premise() const {
    return this->premise;
}