//
// Created by Wayne on 15/12/29.
//

#include "edge.h"

edge::edge(int source, int target, int symbol) {
    this->source = source;
    this->target = target;
    this->symbol = symbol;
}

size_t edge::encode(const edge &e) {
    return ((size_t)e.source << 40) | ((size_t)e.target << 20) | ((size_t)(e.symbol >= 0 ? e.symbol : ((1 << 20) + e.symbol)));
}

edge edge::decode(size_t code) {
    int source = (int)((code >> 40) & ((1 << 20) - 1));
    int target = (int)((code >> 20) & ((1 << 20) - 1));
    int symbol = (int)(code & ((1 << 20) - 1));
    symbol = symbol > (1 << 19) ? (symbol - (1 << 20)) : symbol;
    return edge(source, target, symbol);
}